Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.pdfclown.documents.contents
Enum LineCapEnum

    java.lang.Object
      java.lang.Enum<LineCapEnum>
          org.pdfclown.documents.contents.LineCapEnum

All Implemented Interfaces:
  Serializable, Comparable<LineCapEnum>

    @PDF(value=PDF10)
    public enum LineCapEnum

extends Enum<LineCapEnum>

Shape to be used at the ends of stroked open subpaths [PDF:1.6:4.3.2].

Version:
  0.1.1, 11/14/11
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Enum Constant Summary
`Butt` Truncated line cap.
`Round` Rounded line cap.
`Square` Squared-off line cap.

Method Summary
`int` | `getCode()`
`int` | `toAwt()` Converts this constant into its equivalent AWT code.
`static LineCapEnum` | `valueOf(int code)`
`static LineCapEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static LineCapEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Butt

    public static final LineCapEnum Butt

  Truncated line cap.

### Round

    public static final LineCapEnum Round

  Rounded line cap.

### Square

    public static final LineCapEnum Square

  Squared-off line cap.

Method Detail

### values

    public static LineCapEnum[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (LineCapEnum c : LineCapEnum.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static LineCapEnum valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### valueOf

    public static LineCapEnum valueOf(int code)

### getCode

    public int getCode()

### toAwt

    public int toAwt()

  Converts this constant into its equivalent AWT code.

  See Also:
    `BasicStroke.CAP_BUTT`, `BasicStroke.CAP_ROUND`, `BasicStroke.CAP_SQUARE`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.